summaryrefslogtreecommitdiff
path: root/Meta/build-image-grub.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Meta/build-image-grub.sh')
-rwxr-xr-xMeta/build-image-grub.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Meta/build-image-grub.sh b/Meta/build-image-grub.sh
index 019761dd9d..6c1a428d24 100755
--- a/Meta/build-image-grub.sh
+++ b/Meta/build-image-grub.sh
@@ -8,7 +8,7 @@ die() {
}
if [ "$(id -u)" != 0 ]; then
- die "this script needs to run as root"
+ exec sudo -E -- "$0" "$@" || die "this script needs to run as root"
fi
grub=$(command -v grub-install 2>/dev/null) || true